package be.iminds.ilabt.jfed.experimenter_gui.slice.actions;

import be.iminds.ilabt.jfed.experimenter_gui.slice.Experiment;
import be.iminds.ilabt.jfed.experimenter_gui.slice.ExperimentController;
import be.iminds.ilabt.jfed.experimenter_gui.slice.tasks.ExperimentTasksFactory;
import javafx.stage.Window;

/**
 * User: twalcari
 * Date: 2/4/2015
 * Time: 09:55
 */
public abstract class ExperimentAction implements Runnable{

    protected final Window parentWindow;
    protected final ExperimentController experimentController;
    protected final Experiment experiment;
    protected final ExperimentTasksFactory experimentTasksFactory;

    public ExperimentAction(Window parentWindow, ExperimentController experimentController, ExperimentTasksFactory experimentTasksFactory) {
        this.experimentController = experimentController;
        this.experiment = experimentController.getExperiment();
        this.parentWindow = parentWindow;
        this.experimentTasksFactory = experimentTasksFactory;
    }
}
